SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

Enumerator
DCT
Ameba SDK » HAL

dct functions More...

## Ameba Common
enum | { DCT_SUCCESS = 0, DCT_ERR = -1, DCT_ERR_CRC = -2, DCT_ERR_NO_SPACE = -3, DCT_ERR_NO_MEMORY = -4, DCT_ERR_FLASH_RW = -5, DCT_ERR_NOT_FIND = -6, DCT_ERR_INVALID = -7, DCT_ERR_SIZE_OVER = -8, DCT_ERR_MODULE_BUSY = -9 }
enum | { DCT_MODULE_STATE_INIT = 0xFFFFFFFF, DCT_MODULE_STATE_VALID = 0xFFFFFFFE, DCT_MODULE_STATE_DELETING = 0xFFFFFFFC, DCT_MODULE_STATE_DELETED = 0xFFFFFFF8 }
int32_t | dct_init (void)
| Initialize device configuration table. More...
void | dct_deinit (void)
| Deinitialize device configuration table. More...
int32_t | dct_register_module (char *module_name)
| Register module in DCT. More...
int32_t | dct_unregister_module (char *module_name)
| Unregister and delete module in DCT. More...
int32_t | dct_open_module (dct_handle_t *dct_handle, char *module_name)
| Open module in DCT. More...
int32_t | dct_close_module (dct_handle_t *dct_handle)
| Close module in DCT. More...
int32_t | dct_set_variable (dct_handle_t *dct_handle, char *variable_name, char *variable_value)
| Write variable name and value in opened module. More...
int32_t | dct_get_variable (dct_handle_t *dct_handle, char *variable_name, char *buffer, uint16_t buffer_size)
| Read value of variable name in opened module. More...
int32_t | dct_delete_variable (dct_handle_t *dct_handle, char *variable_name)
| Delete variable name and value in opened module. More...

## Detailed Description

dct functions

## Function Documentation

int32_t dct_close_module | ( | dct_handle_t * | dct_handle | ) |

Close module in DCT.

Parameters

  dct_handle | : dct handler

Return values

  0 | : SUCCESS
  <0 | : ERROR

void dct_deinit | ( | void |  | ) |

Deinitialize device configuration table.

Return values

  none |

int32_t dct_delete_variable | ( | dct_handle_t * | dct_handle,
|  | char * | variable_name
| ) |  |

Delete variable name and value in opened module.

Parameters

  dct_handle | : dct handler
  variable_name | : variable name which you want to delete in module

Return values

  0 | : SUCCESS
  <0 | : ERROR

int32_t dct_get_variable | ( | dct_handle_t * | dct_handle,
|  | char * | variable_name,
|  | char * | buffer,
|  | uint16_t | buffer_size
| ) |  |

Read value of variable name in opened module.

Parameters

  dct_handle | : dct handler
  variable_name | : variable name which you want to get from module
  buffer | : read variable value
  buffer_size | : the buffer size

Return values

  0 | : SUCCESS
  <0 | : ERROR

int32_t dct_init | ( | void |  | ) |

Initialize device configuration table.

Parameters

  none |

Return values

  32 | bit

int32_t dct_open_module | ( | dct_handle_t * | dct_handle,
|  | char * | module_name
| ) |  |

Open module in DCT.

Parameters

  dct_handle | : setup module informations in dct handler
  module_name | : module name

Return values

  0 | : SUCCESS
  <0 | : ERROR

int32_t dct_register_module | ( | char * | module_name | ) |

Register module in DCT.

Parameters

  module_name | : module name

Return values

  0 | : SUCCESS
  <0 | : ERROR

int32_t dct_set_variable | ( | dct_handle_t * | dct_handle,
|  | char * | variable_name,
|  | char * | variable_value
| ) |  |

Write variable name and value in opened module.

Parameters

  dct_handle | : dct handler
  variable_name | : variable name which you want to store in module
  variable_value | : variable value which you want to store in module

Return values

  0 | : SUCCESS
  <0 | : ERROR

int32_t dct_unregister_module | ( | char * | module_name | ) |

Unregister and delete module in DCT.

Parameters

  module_name | : module name

Return values

  0 | : SUCCESS
  <0 | : ERROR